[yay ne s'installe pas] makepkg -si error

Questions et astuces concernant l'installation et la configuration d'archlinux
nestorburma
Chu Ko Nu
Messages : 351
Inscription : lun. 31 mars 2014, 17:28
Localisation : 13105

[yay ne s'installe pas] makepkg -si error

Message par nestorburma »

bonjour
j'ai essayé d'installer yay mais ça ne marche pas j'ai une erreur à la fin

Code : Tout sélectionner

[jean@anarchy]: ~/yay>$ makepkg -si
==> Création du paquet yay 9.4.4-1 (jeu. 27 févr. 2020 11:51:12)
==> Vérification des dépendances pour l’exécution…
==> Vérification des dépendances pour la compilation…
==> Récupération des sources…
  -> yay-9.4.4.tar.gz trouvé
==> Validation des fichiers source avec sha1sums…
    yay-9.4.4.tar.gz ... Réussite
==> Extraction des sources…
  -> Extraction de yay-9.4.4.tar.gz avec bsdtar
==> Suppression du répertoire $pkgdir/ existant…
==> Lancement de build()…
go build -v -mod=vendor -ldflags '-s -w -linkmode external -extldflags "-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now" -X "main.version=9.4.4"' -gcflags all=-trimpath=/home/jean/yay/src/yay-9.4.4 -asmflags all=-trimpath=/home/jean/yay/src/yay-9.4.4 -o yay
go: inconsistent vendoring in /home/jean/yay/src/yay-9.4.4:
	github.com/Jguer/go-alpm@v0.0.0-20191122171459-5cffc6e8fc69: is explicitly required in go.mod, but vendor/modules.txt indicates github.com/Jguer/go-alpm@v0.0.0-20191021114528-e11e8a60f385
	github.com/mikkeloscar/aur@v0.0.0-20191216074712-ebecb34b95b4: is explicitly required in go.mod, but vendor/modules.txt indicates github.com/mikkeloscar/aur@v0.0.0-20190912174111-183f80a38525

run 'go mod vendor' to sync, or use -mod=mod or -mod=readonly to ignore the vendor directory
make: *** [Makefile:47 : yay] Erreur 1
==> ERREUR : Une erreur s’est produite dans build().
    Abandon…
[jean@anarchy]: ~/yay>$ 
j'ai base-devel installé et git
comment faire pour que l'install aille au bout du processus
merci
asus r702u,mate desktop
Avatar de l’utilisateur
albireo
Chu Ko Nu
Messages : 444
Inscription : ven. 15 sept. 2006, 15:47
Localisation : vallée de la save en Occitanie

Re: [yay ne s'installe pas] makepkg -si error

Message par albireo »

il faut peut-être installé le pkg linux-headers
moi j'ai remplacé yya par pikaur que je trouve plus fun
Utilisateur ArchLinux depuis 2004
Arch 64/gnome sur ASUS H87M-E C2 + i5 3.2GHz + 8Go + 1To + écran 22"
Arch 64/openbox sur LDLC MERCURE ML3-4-S1 -> DAC Micromega -> ampli Onkyo -> enceintes Focal :D
nestorburma
Chu Ko Nu
Messages : 351
Inscription : lun. 31 mars 2014, 17:28
Localisation : 13105

Re: [yay ne s'installe pas] makepkg -si error

Message par nestorburma »

bonjour albireo
j'ai pas trouvé la solution pour installer yay,j'ai installé pikaur ça c'est fait tout seul
merci
asus r702u,mate desktop
Répondre